Jump to content
Ultimaker Community of 3D Printing Experts

Recommended Posts

Posted · Ultimaker Cura 4.9

Ultimaker Cura 4.9

 

We are happy to announce that the Ultimaker Cura 4.9 is here. This release contains a bundle of bug fixes and feature improvements. This will increase software stability, simplifying and streamlining print preparation so you can continuously strive for first-time right results. Download it now to experience print slicing at its most seamless, thanks to new workflow integration with the Digital Library in Ultimaker Digital Factory – which is available in our which is now available for any Ultimaker Digital Factory user with an Ultimaker 3D printer.

 

What’s new?

Several new features provide a better, more detailed visual representation of how a model is printed, making it a snap to fine-tune settings and improve first-time right. They include: 

 

Digital factory integration

Now you can open files directly from Digital Library projects. Then, after preparation, quickly and easily export them back. This feature is available for all users with an Ultimaker Essentials, Ultimaker Professional, or Ultimaker Excellence subscription. Learn more

 

Capture-digital2.thumb.PNG.f2aa2f55d23c102ada8ca305d6ef9000.PNG

 

The Z-seam is now clearly shown in Preview mode

This ensures that you will know whether the seam will be sufficiently hidden in the end product. This will also indicate the starting point of the print. 

Capture123.thumb.PNG.61d88a593327e6516840ef739a8c1555.PNG

 

Line type” is now the default color scheme

When entering the Preview mode, you don’t have to switch manually to line type. This will improve your user experience.

Capture-line.thumb.PNG.39368c5f1a2b3e27a617504afa93966e.PNG

 

Other new features and fixes in Ultimaker Cura 4.9 include:

 

Simplified Ultimaker Cura onboarding. A new sign-in flow makes it easier than ever to get started with Ultimaker Cura – plus feature highlights, so you can immediately check out what’s new! 

 

Weight estimation in decimals. This provides a more detailed idea of the amount of material used – which is especially useful for smaller prints.  

 

18 printer definitions added for third-party printers. This makes Ultimaker Cura more accessible to community users. 

 

Bug fixes  

“Connect top/bottom polygons” setting. We have fixed a bug in which this setting was unintentionally hidden when initial layer bottom layers are set to “concentric”. 

 

Ultimaker Cura sub-model slicing. We have fixed a bug causing Ultimaker Cura not to slice a model if one sub-model of a group was below the build plate.  

 

Security patch - Fixed a security vulnerability on Windows permitting the openssl library used to launch other programs. Thanks to Xavier Danest for raising this bug.

 

 

For more information on new features, bug fixes check out our Github release page, read the blog post and watch our video.

Please let us know what you think about Ultimaker Cura 4.9 in the comments below or on Github.

 

Download Cura 4.9 here

 

Looking forward to see your results!

 

  • Like 2
Link to post
Share on other sites
  • ctbeke pinned this topic
  • Replies 97
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

We missed the dual extrusion issue. It's something that we should have caught but didn't. Since a lot of people have also reported this on github (thanks for that!), we already have fix for this and h

Ultimaker Cura 4.9   We are happy to announce that the Ultimaker Cura 4.9 is here. This release contains a bundle of bug fixes and feature improvements. This will increase software stabilit

Just installed 4.9. When I go to File>Open, Cura crashes. Windows 10.

Posted Images

Posted (edited) · Ultimaker Cura 4.9

Also crashing at opening any sort of files. Win 10. all up to date drivers.

 

 

C:\Users\yourname\AppData\Roaming\cura\4.9\plugins\CustomJobPrefix\CustomJobPrefix\PrintInformationPatches.py

 

was the problem.

after deleting it. everything works fine.

Edited by kimyr0501
found possible fix
  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    When starting Cura 4.9 I receive the Freezer Python error in main script (traceback unavailable).  Ihave added the screen capture of the error, and the program will not load.

     

    Appreciate your advice on this.

     

    Cura 4.9 error.jpg

  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    I'm on the nearly situation.  When starting Cure 4.9 I receive same dialog but the message is as follows.

          Error in sys.execpthook.

          Exception: [WinError 53] Network pass not found.: 

          'x\\4.9-exe\\build\\inst\\bin//cura.app.py'

          Original Exception: [WinError 53] Network pass not found.: 

          'x\\4.9-exe\\build\\inst\\bin//cura.app.py'

    I'm using Windows10 Japanese version so I translated the error message into English.

     

    Thank you for your kindly help in advance.

    Screen.JPG

  • Link to post
    Share on other sites
    Posted (edited) · Ultimaker Cura 4.9
    6 hours ago, kimyr0501 said:

    Also crashing at opening any sort of files. Win 10. all up to date drivers. CustomJobPrefix (...) was the problem. after deleting it. everything works fine.

     

    I am the developer of that plugin. A full cura.log would be helpful to fix the issue you were having.

    It also helps if you could say what sort of prefix & postfix pattern you were using.

    Edited by ahoeben
  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    MKS WIFI Plugin not work in 4.9.0, in 4.8.0 work good

    image.thumb.png.6f7084ebdbcde2afce559c9520b0dc77.pngimage.thumb.png.a9eacc3553e2d2acc2c204ee1fb4986b.png

    image.png

  • Link to post
    Share on other sites
    Posted (edited) · Ultimaker Cura 4.9

    I have no issues with updating from 4.8 on Win10. Went smooth as it can (nevermind the quirks I have to deal with in order to unlock printing temperatures of >365°C).

     

    One thing however I noticed is the machine settings dialog (start/end g-code section) has shrunken down way too much. The machine settings menu has always been a bit neglected from a usability point of view IMHO but this time it's worse than ever. See my screenshot with 4.9 on the left and arachne alpha (would be the same on 4.8) on the right. Since this menu can't be resized I'm stuck to those 1-liners as you can see. Barely usable.

     

    Another minor issue (not specific to 4.9): When creating a custom machine, the default material diameter is always set to 2.85mm. AFAIK there are almost only Ultimaker printers that use this diameter... and they don't require custom profiles. So it would make more sense to make 1.75 the default value for custom printers.

    Clipboard09.jpg

     

    edit: talking about shrinking... is it just for me or does the ultimaker forum shrink uploaded pictures to thumbnails?

    Edited by ungutknut
  • Link to post
    Share on other sites
    Posted (edited) · Ultimaker Cura 4.9

    I have the same Win10-starting-problem as ozhawk and kazu_zo3.

     

    hc_151.jpg

     

    Starting as administrator works.

     

    Edited by hr3
  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    This site has to change to 4.9

    hc_152.jpg

  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    Users of the "Printjob Naming" plugin, if you have a problem opening files could you please check if there is an update for the plugin in the Marketplace? The latest version fixes an incompatibility with Cura 4.9, and was published around a month ago.

  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    I have the same Win10 error.  Running as admin does not start Cura 4.9.  

     

    image.png.7aea6ac83e7c17ae48397f1b8ed33af0.png

  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    @ozhawk, @kazu_zo3 and @pjaxed, do you have a drive mapped to the driveletter X: ? If so, could you try mapping that drive to a different letter?

  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    Thank you that did the trick.  I removed the mapped drive "X" and Cura 4.9 starts up.

     

    image.png.7aea6ac83e7c17ae48397f1b8ed33af0.png

  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    MacOS Catalina 10.15.7.  Just upgraded from Cura 4.8.0 to 4.9.0.  Marketplace button says I need to update the "Settings" plugin by "Ghostkeeper" (currently v2.4.0).  Clicking Update button doesn't do anything.  I've since uninstalled it in case that was the cause of the problem I'm describing below (nope, didn't solve the issue).

     

    Meanwhile Cura 4.9 says I'm not signed-in.  Sign-In button takes me to my default browser (Firefox latest release 88.0 64-bit).  I sign in with an auth-success; it says that I can go back to Cura.  I leave the success message open and go back to Cura.

     

    Cura still thinks I'm not signed in -- so I click the sign-in button again -- this time the Ultimaker account page reports an error.  Going to back to Cura, it crashes (I've sent the crash report).

     

    I've tried closing and reopening Cura and Firefox.

     

    Crash report traceback:

    Traceback (most recent call last):
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/site-packages/keyring/backends/macOS/__init__.py", line 49, in get_password
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/site-packages/keyring/backends/macOS/api.py", line 101, in find_generic_password
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/site-packages/keyring/backends/macOS/api.py", line 43, in raise_for_status
    keyring.backends.macOS.api.SecAuthFailure: (-25293, 'Security Auth Failure: make sure python is signed with codesign util')
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/Applications/Ultimaker Cura.app/Contents/MacOS/plugins/plugins/Toolbox/src/Toolbox.py", line 144, in _restart
        self._fetchPackageData()
      File "/Applications/Ultimaker Cura.app/Contents/MacOS/plugins/plugins/Toolbox/src/Toolbox.py", line 193, in _fetchPackageData
        self._makeRequestByType("packages")
      File "/Applications/Ultimaker Cura.app/Contents/MacOS/plugins/plugins/Toolbox/src/Toolbox.py", line 547, in _makeRequestByType
        self._application.getHttpRequestManager().get(url,
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/TaskManagement/HttpRequestManager.py", line 128, in get
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/TaskManagement/HttpRequestManager.py", line 273, in _createRequest
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/TaskManagement/HttpRequestScope.py", line 57, in requestHook
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/cura/UltimakerCloud/UltimakerCloudScope.py", line 22, in requestHook
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/cura/API/Account.py", line 256, in accessToken
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/cura/OAuth2/AuthorizationService.py", line 135, in getAccessToken
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/cura/OAuth2/KeyringAttribute.py", line 36, in __get__
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/site-packages/keyring/core.py", line 55, in get_password
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/site-packages/keyring/backends/macOS/__init__.py", line 55, in get_password
    keyring.errors.KeyringError: Can't get password from keychain: (-25293, 'Security Auth Failure: make sure python is signed with codesign util')

     

    Crash report log:

    Thread 0x0000700021f44000 (most recent call first):
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 306 in wait
      File "/Users/phil/Library/Application Support/cura/4.9/plugins/OctoPrintPlugin/OctoPrintPlugin/python-zeroconf/zeroconf/__init__.py", line 2184 in wait
      File "/Users/phil/Library/Application Support/cura/4.9/plugins/OctoPrintPlugin/OctoPrintPlugin/python-zeroconf/zeroconf/__init__.py", line 1496 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x0000700020f41000 (most recent call first):
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 306 in wait
      File "/Users/phil/Library/Application Support/cura/4.9/plugins/OctoPrintPlugin/OctoPrintPlugin/python-zeroconf/zeroconf/__init__.py", line 2184 in wait
      File "/Users/phil/Library/Application Support/cura/4.9/plugins/OctoPrintPlugin/OctoPrintPlugin/python-zeroconf/zeroconf/__init__.py", line 1315 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x000070001ff3e000 (most recent call first):
      File "/Users/phil/Library/Application Support/cura/4.9/plugins/OctoPrintPlugin/OctoPrintPlugin/python-zeroconf/zeroconf/__init__.py", line 1221 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x000070001eeb8000 (most recent call first):
      File "/Applications/Ultimaker Cura.app/Contents/MacOS/plugins/plugins/USBPrinting/USBPrinterOutputDeviceManager.py", line 87 in _updateThread
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 870 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x000070001deb5000 (most recent call first):
      File "/Applications/Ultimaker Cura.app/Contents/MacOS/plugins/plugins/RemovableDriveOutputDevice/RemovableDrivePlugin.py", line 61 in _updateThread
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 870 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x000070001ce2f000 (most recent call first):
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 306 in wait
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/site-packages/zeroconf/__init__.py", line 2117 in wait
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/site-packages/zeroconf/__init__.py", line 1434 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x000070001be2c000 (most recent call first):
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 306 in wait
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 558 in wait
      File "/Applications/Ultimaker Cura.app/Contents/MacOS/plugins/plugins/UM3NetworkPrinting/src/Network/ZeroConfClient.py", line 81 in _handleOnServiceChangedRequests
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 870 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x000070001ae29000 (most recent call first):
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 306 in wait
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/site-packages/zeroconf/__init__.py", line 2117 in wait
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/site-packages/zeroconf/__init__.py", line 1262 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x0000700019e26000 (most recent call first):
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/site-packages/zeroconf/__init__.py", line 1183 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x0000700018da0000 (most recent call first):
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/Backend/Backend.py", line 165 in _storeStderrToLogThread
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 870 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x0000700017d9d000 (most recent call first):
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/Backend/Backend.py", line 153 in _storeOutputToLogThread
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 870 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x00007000167f9000 (most recent call first):
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 302 in wait
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 433 in acquire
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 98 in _nextJob
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 124 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x00007000157f6000 (most recent call first):
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 302 in wait
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 433 in acquire
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 98 in _nextJob
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 124 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x00007000147f3000 (most recent call first):
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 302 in wait
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 433 in acquire
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 98 in _nextJob
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 124 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x00007000137f0000 (most recent call first):
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 302 in wait
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 433 in acquire
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 98 in _nextJob
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 124 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x00007000127ed000 (most recent call first):
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 302 in wait
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 433 in acquire
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 98 in _nextJob
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 124 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x00007000117ea000 (most recent call first):
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 302 in wait
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 433 in acquire
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 98 in _nextJob
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 124 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x00007000107e7000 (most recent call first):
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 302 in wait
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 433 in acquire
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 98 in _nextJob
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 124 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Thread 0x000070000f7e4000 (most recent call first):
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 302 in wait
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 433 in acquire
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 98 in _nextJob
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/JobQueue.py", line 124 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 932 in _bootstrap_inner
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/threading.py", line 890 in _bootstrap
    
    Current thread 0x0000000115851dc0 (most recent call first):
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/cura/CrashHandler.py", line 396 in _logInfoWidget
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/cura/CrashHandler.py", line 182 in _createDialog
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/cura/CrashHandler.py", line 86 in __init__
      File "/Users/ultimaker/build/Cura/4.9/build/inst/bin/cura_app.py", line 167 in exceptHook
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/cura/API/Account.py", line 184 in _onLoginStateChanged
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/Signal.py", line 332 in __performEmit
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/Event.py", line 218 in call
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/Qt/QtApplication.py", line 469 in event
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/cura/CuraApplication.py", line 1085 in event
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/UM/Qt/QtApplication.py", line 383 in exec_
      File "/Users/ultimaker/build/Cura/4.9/build/inst/lib/python3.8/site-packages/cura/CuraApplication.py", line 862 in run
      File "/Users/ultimaker/build/Cura/4.9/build/inst/bin/cura_app.py", line 241 in <module>
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/site-packages/cx_Freeze/initscripts/Console.py", line 36 in run
      File "/Users/ultimaker/build/env/4.9/install/lib/python3.8/site-packages/cx_Freeze/initscripts/__startup__.py", line 74 in run

     

  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    +1

    image.png.12e19222bb3ee8f4c0b75e14365cb282.png

  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    Possible bug but maybe I missed a setting.  I use a start gcode to warm up the bed and nozzle before bed leveling and printing. it seems in 4,9 the material temperature settings are put in at the beginning of the file then the printer start gcode is is put in afterward thus overriding the temperature settings. these are not restated again at the beginning of the sliced code so the printer tries to print with the wrong settings.

    • Like 1
    Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    Just upgraded to CURA 4.9.0 from 4.8.0.    4.8.0 was working fine, 4.9.0 install completed without error.   After starting 4.9.0 CURA loading proceeds normally and eventually a white window opens with no content and closes after a couple seconds.

    stderr.log contains the following:

    2021-04-21 16:52:35,711 - DEBUG - [MainThread] UM.View.GL.ShaderProgram.load [58]: Loading shader file [C:\Program Files\Ultimaker Cura 4.9.0\resources\shaders\striped.shader]...
    Fatal Python error: Aborted

    Thread 0x000004dc (most recent call first):
      File "C:\Program Files\Ultimaker Cura 4.9.0\plugins\USBPrinting\USBPrinterOutputDeviceManager.py", line 87 in _updateThread
      File "threading.py", line 870 in run
      File "threading.py", line 932 in _bootstrap_inner
      File "threading.py", line 890 in _bootstrap

      

    Windows  10.0.19042 Build 19042, Ultimaker S3 firmware 6.3.0.

    Any ideas on root cause and workarounds appreciated.

     

    cura.log stderr.log

  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    Hi Ahoeben,  It worked when I freed the drive letter 'X'!   Thank you very much!

    BTW, if you use fixed drive letter 'X' for something, it's not a smart way. I believe.

    But thanks again!

    • Like 1
    Link to post
    Share on other sites
    Posted (edited) · Ultimaker Cura 4.9

    I do not hav any drives higher the H mapped, but still have this issue.  Also the program does not appear in Win 10 Start Menu or my desktop.

     

    Edited by ozhawk
  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    I updated to cura 4.9 and use few Ultimaker S5 Pro Bundle and S3, but cant use the new Digital Library in Ultimaker Digital Factory, why? Does i have to buy a annual 500€ Fee for it ????

  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    See picture here, i don’t have ans subscription and cant print file from library, would great you cant tell me why

    8E57209F-BA78-467B-A6ED-C55C0119198E.png

  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    Famous Wind Turbine Ultimaker 

    4.9 new release 

    small portion of inside wing printed .....left out over 90% of wing  front right wing 

    wing collapsed on collision with nozzle infill poor

    other wing solid

     

    S5

    default PLA settings 

    cubic subdivision 

    CC51FCB2-0298-463E-86FD-566D7F76D6EC.jpeg

  • Link to post
    Share on other sites
    Posted · Ultimaker Cura 4.9

    Hi. Recently upgraded to Cura 4.9 - Unable to sign-in into my Ultimaker account. Any thoughts?

  • Link to post
    Share on other sites

    Create an account or sign in to comment

    You need to be a member in order to leave a comment

    Create an account

    Sign up for a new account in our community. It's easy!

    Register a new account

    Sign in

    Already have an account? Sign in here.

    Sign In Now

    • Our picks

      • Ultimaker turns 10: A look back
        Ultimaker is turning 10 years old and that means it is story telling time! We'll explore 2010-2014, traveling through the evolution of the business from the Protobox and Ultimaker Original, to the major leaps forward with the Ultimaker 2 and Ultimaker 3.
          • Like
        • 0 replies
      • Ultimaker Transformation Summit
        Visit our virtual showroom and learn more about the Ultimaker ecosystem!
        • 14 replies
      • New here? Register your Ultimaker for free 3D printer onboarding course
        Hi,
         
        Often getting started is the most difficult part of any process. A good start sets you up for success and saves you time and energy that could be spent elsewhere. That is why we have a onboarding course ready for
        Ultimaker S5 Pro Bundle, Ultimaker S5, Ultimaker S3 Ultimaker 2+ Connect.   
        They're ready for you on the Ultimaker Academy platform. All you need to do to gain access is to register your product to gain free access. 
        Ready? Register your product here in just 60 seconds.
          • Like
        • 0 replies
    ×
    ×
    • Create New...